/*
 * @(#)SimpleIDProvider.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso;

/**
 * SSOの共通IDとローカルシステムのIDが同一の場合のID提供クラス。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/04/27 21:46:26 $
 */
public class SimpleIDProvider implements IDProvider {

	/* (non-Javadoc)
	 * @see info.dragonlady.sso.IDProvider#provide(java.lang.String)
	 */
	public String provide(String localId) throws SSOException {
		return localId;
	}

	/* (non-Javadoc)
	 * @see info.dragonlady.sso.IDProvider#convertToCommonId(java.lang.String)
	 */
	public String convertToCommonId(String localId) throws SSOException {
		return localId;
	}

	/* (non-Javadoc)
	 * @see info.dragonlady.sso.IDProvider#convertToLocalId(java.lang.String)
	 */
	public String convertToLocalId(String commonId) throws SSOException {
		return commonId;
	}

	/* (non-Javadoc)
	 * @see info.dragonlady.sso.IDProvider#remove(java.lang.String)
	 */
	public void remove(String commonId) throws SSOException {
		// 何もしない
	}

}
